ModernLoop Internal API
Apislack

List Slack channels in the workspace

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/slack/channels" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "channels": [    {      "id": "string",      "name": "string",      "topic": "string",      "purpose": "string",      "num_members": 0,      "is_member": true,      "is_private": true,      "is_archived": true    }  ],  "next_cursor": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

types?string

Comma-separated conversation types, e.g. public_channel,private_channel

Default"public_channel"
limit?integer

Page size (max 200)

Range1 <= value <= 200
Default100
cursor?string

Pagination cursor from a previous page

exclude_archived?string

Exclude archived channels

Default"true"

Value in

  • "true"
  • "false"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json